Subject: Re: git revert with partial commit.

From: Sergey Organov <[email-masked]>
Date: Tue, 04 Apr 2023 20:21:18 +0300

Chris Torek <[email-masked]> writes:

> On Tue, Apr 4, 2023 at 9:00 AM Hongyi Zhao <[email-masked]> wrote:
> [various previous conversations and methods-that-work snipped]
>> But I still wonder why the following method doesn't work:
>>
>> werner@X10DAi:~$ git revert f18fbd1e16a1ca4215621768d17858c036086608
>> --no-commit -- Public/CTAN/IDE/phonon/compile-install-phonon
>> Public/CTAN/IDE/texstudio-org/texstudio.git.sh
>> fatal: bad revision 'Public/CTAN/IDE/phonon/compile-install-phonon'

[...]

> Similarly, `git revert` means: given some commit, find its parent
> (again, singular), and use that parent/child pair to compute a
> delta.  Attempt to reverse-apply that delta to the current commit
> and working tree snapshot.
>
> This kind of operation produces a new commit, so there's no such
> thing as a partial revert or partial cherry-pick, at least in
> terms of "things Git can do by itself".  But we, as humans writing
> programs, wish to *achieve* such things.

So, why Git can't help us achieving it by supporting paths limiting in
(all) merge operations? There seems to be no absolute obstacles, just a
luck of support.

Thanks,
-- Sergey